
// https://nuxt.com/docs/api/configuration/nuxt-config
// import process from 'process/browser';


export default defineNuxtConfig({
  ssr: true,
  nitro: {
    devProxy: {
      "/api-v": {
        target: "http://192.168.1.105/Aerwen/houde_web/houde_web_api/public/api.php/", // 文豪
        // target: "http://192.168.1.18/ARW/houde_web/houde_web_api/public/api.php/", // 君豪
        // target: "http://houde_web.back.aerwen.net/api", // 这里是线上接口地址
        changeOrigin: true,
        prependPath: true,
      },
      "/uploads": {
        // target: "http://192.168.1.105/Aerwen/houde_web/houde_web_api/public/uploads", // 文豪
        // target: "http://192.168.1.18/ARW/houde_web/houde_web_api/public/uploads", // 君豪
        target: "https://houde.api.aerwen.net/uploads", // 这里是线上接口地址
        changeOrigin: true,
        prependPath: true,
      },
    },
  },
  plugins: [
      // '~/middleware/auth.ts'
  ],
  css: [
    "bootstrap/dist/css/bootstrap.min.css",
    // "swiper/css/swiper.css",
    "~/assets/css/root/media.scss",
    "~/assets/css/root/root.scss",
    "~/assets/css/root/animation.scss",
    "swiper/css",
    "animate.css"
  ],//追加

})
